GET/transactionsDeprecated

List by Page (deprecated)

**Deprecated**: this endpoint is deprecated and will be available only until **2026-12-31**, after which it will be removed. Please migrate to `GET /v2/transactions`, which uses cursor-based pagination. Recovers all transactions collected for the acount provided.

❗️

DEPRECATION

In favor of the /v2/transactions that paginates transactions using cursor, this endpoint has been stablished as deprecated and should start using the new one asap.


Transactions are meant to be copied to your systems. This endpoint is expected to be used one time per synchronization and not connected to any application directly.

As general recommendations, we expect that you use this endpoint connected to created, updated & deleted webhooks with specific filters that were designed for performance, and paging the largest amount of records per page (500), which is the current default.

📘

Fields availability

The field ProviderId is only returned in Regulado connections, consistent with the bank's ID. It would be the same for the same account connected as different items.

The field ProviderCode is only returned in Regulado an certain connectors.


Parameters

Query Parameters

NameType
accountIdrequired
string (uuid)
ids
array
from
string (date-time)
to
string (date-time)
pageSize
number (double)
page
number (double)
billId
string (uuid)
createdAtFrom
string (date-time)

Responses

200Retrieve a list of all transactions for an account
object
resultsrequiredobject[]
itemsobject

Transaction product

pagerequirednumber (double)
totalrequirednumber (double)
totalPagesrequirednumber (double)

Example response

json
{
  "results": [
    {
      "id": "6ec156fe-e8ac-4d9a-a4b3-7770529ab01c",
      "description": "TED Example",
      "descriptionRaw": null,
      "currencyCode": "BRL",
      "amount": 1500,
      "date": "2020-10-14T00:00:00.000Z",
      "balance": 3500,
      "category": "Transfers",
      "categoryId": "05000000",
      "accountId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
      "providerCode": "123456",
      "type": "CREDIT",
      "status": "POSTED",
      "paymentData": {
        "payer": {
          "name": "Tiago Rodrigues Santos",
          "branchNumber": "090",
          "accountNumber": "1234-5",
          "routingNumber": "001",
          "documentNumber": {
            "type": "CPF",
            "value": "666.666.666-66"
          }
        },
        "reason": "Taxa de serviço",
        "receiver": {
          "name": "Pluggy",
          "branchNumber": "999",
          "accountNumber": "9876-1",
          "routingNumber": "002",
          "documentNumber": {
            "type": "CNPJ",
            "value": "22.222.222/0001-22"
          }
        },
        "paymentMethod": "TED",
        "referenceNumber": "123456789"
      },
      "merchant": null,
      "providerId": null
    }
  ],
  "page": 0,
  "total": 0,
  "totalPages": 0
}
curl -X GET \
'https://api.pluggy.ai/transactions' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Sample response
{
"results": [
{
"id": "6ec156fe-e8ac-4d9a-a4b3-7770529ab01c",
"description": "TED Example",
"descriptionRaw": null,
"currencyCode": "BRL",
"amount": 1500,
"date": "2020-10-14T00:00:00.000Z",
"balance": 3500,
"category": "Transfers",
"categoryId": "05000000",
"accountId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
"providerCode": "123456",
"type": "CREDIT",
"status": "POSTED",
"paymentData": {
"payer": {
"name": "Tiago Rodrigues Santos",
"branchNumber": "090",
"accountNumber": "1234-5",
"routingNumber": "001",
"documentNumber": {
"type": "CPF",
"value": "666.666.666-66"
}
},
"reason": "Taxa de serviço",
"receiver": {
"name": "Pluggy",
"branchNumber": "999",
"accountNumber": "9876-1",
"routingNumber": "002",
"documentNumber": {
"type": "CNPJ",
"value": "22.222.222/0001-22"
}
},
"paymentMethod": "TED",
"referenceNumber": "123456789"
},
"merchant": null,
"providerId": null
}
],
"page": 0,
"total": 0,
"totalPages": 0
}